import * as __WEBPACK_EXTERNAL_MODULE__testing_library_react__ from "@testing-library/react";
import * as __WEBPACK_EXTERNAL_MODULE__NumberInput_mjs__ from "./NumberInput.mjs";
describe('NumberInput', ()=>{
    test('should render number input with decrement and increment buttons', async ()=>{
        const { container } = (0, __WEBPACK_EXTERNAL_MODULE__testing_library_react__.render)(/*#__PURE__*/ React.createElement(__WEBPACK_EXTERNAL_MODULE__NumberInput_mjs__["default"], {
            name: "someNumber",
            min: 521,
            max: 600,
            step: 30,
            placeholder: "521",
            value: 521,
            onChange: ()=>{
            // no op
            },
            onBlur: ()=>{
            // no op
            }
        }));
        expect(__WEBPACK_EXTERNAL_MODULE__testing_library_react__.screen.getByPlaceholderText('521')).toBeVisible();
        const [incrementButton, decrementButton] = Array.from(container.getElementsByClassName('chakra-icon'));
        expect(incrementButton).toBeVisible();
        expect(decrementButton).toBeVisible();
    });
});
